<?php

namespace Slovocast\Configuration;

use Nette\Schema\Expect;
use Nette\Schema\Schema;

class FileSystemSchema 
{
    public static function getSchema(): Schema
    {
        return Expect::structure([
            'type' => Expect::anyOf([ 'local', 's3' ])->default('local'),
            'location' => Expect::string()->default('/var/www/slovocast/data')->required(),
        ]);
    }
}

