<?php

namespace Slovocast\Configuration;

use Nette\Schema\Schema;
use Nette\Schema\Expect;

class SiteInformationSchema 
{
    public static function getSchema(): Schema 
    {
        return Expect::structure([
            'name' => Expect::string()->default("Slovocast"),
            'description' => Expect::string()->required(),
            'tags' => Expect::array()->required(),
        ]);
    }
}
