<?php

namespace Slovocast\Tests\Infrastructure\User;

use Slovocast\Tests\TestCase;
use Slovocast\Infrastructure\User\BasicUserAuthorization;

class BasicAuthorizationTest extends TestCase
{
    public function testPasswordVerify(): void
    {
        $basicAuth = new BasicUserAuthorization();
        $hashedPassword = $basicAuth->hash("hello");
        $this->assertTrue($basicAuth->verify("hello", $hashedPassword));
    }
}
